---
title: URL.toJSON()
slug: Web/API/URL/toJSON
tags:
  - API
  - Method
  - Reference
  - URL
  - URL API
---
<div>{{APIRef("URL API")}}</div>

<p>The <strong><code>toJSON()</code></strong> method of the {{domxref("URL")}} interface returns a {{domxref("USVString")}} containing a serialized version of the URL, although in practice it seems to have the same effect as {{domxref("URL.toString()")}}.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>href</em> = <em>url</em>.toJSON()</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const url = new URL("https://developer.mozilla.org/en-US/docs/Web/API/URL/toString");
url.toJSON(); // should return the URL as a string</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('URL', '#dom-url-tojson', 'toJSON()')}}</td>
			<td>{{Spec2('URL')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URL.toJSON")}}</p>
